/**
 * @author zerostyle
 * @QQ:83226227
 * @namespace ZeroStyle.FrameWork
 * @version
 */



var Namespace = new Object();

Namespace.register = function(path){     
    var arr = path.split(".");     
    var ns = "";     
    for(var i=0;i<arr.length;i++){     
        if(i>0) ns += ".";     
        ns += arr[i];     
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");     
    }     
}     

Namespace.register("ZeroStyle.FrameWork.RunningTime");

ZeroStyle.FrameWork
{
	
	version:"1.0.0.1 Beta"
}

ZeroStyle.FrameWork.RunningTime=
{
	CurrentLanguage:"zh_cn",
	DebugMode:true,
	throwException:true
}

window.onerror=function(e)
{
	if(ZeroStyle.FrameWork.RunningTime.throwException)
	{
		alert(e.message);
	}
}